Name: H5Tget_member_type
Signature:
  hid_t `H5Tget_member_type`(hid_t `type_id`, unsigned `field_idx` )
Purpose:
  Returns the datatype of the specified member.
Description:
  `H5Tget_member_type` returns the datatype of the specified member. The caller should invoke H5Tclose() to release resources associated with the type.
Parameters:

hid_t `type_id` | Identifier of datatype to query.
unsigned `field_idx` | Field index (0-based) of the field type to retrieve.

Returns:
  Returns the identifier of a copy of the datatype of the field if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_member_type_f

      SUBROUTINE h5tget_member_type_f(type_id,  field_idx, datatype, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id   ! Datatype identifier
        INTEGER, INTENT(IN) :: field_idx        ! Field index (0-based) of the
                                                ! field type to retrieve
        INTEGER(HID_T), INTENT(OUT) :: datatype ! Identifier of a copy of
                                                ! the datatype of the field
        INTEGER, INTENT(OUT) :: hdferr          ! Error code
      END SUBROUTINE h5tget_member_type_f

History:

Release | C
1.6.4 | `membno` parameter type changed to unsigned.